Bug 1886471 - Cannot deactivate NFS storage domain into maintenance and PPC host becomes non responsive for a sec
Summary: Cannot deactivate NFS storage domain into maintenance and PPC host becomes no...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.4.2
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ovirt-4.5.0
: ---
Assignee: Vojtech Juranek
QA Contact: Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-08 14:14 UTC by Tamir
Modified: 2021-09-29 11:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-29 11:33:06 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)
Added logs and gif (5.47 MB, application/zip)
2020-10-08 14:14 UTC, Tamir
no flags Details

Description Tamir 2020-10-08 14:14:26 UTC
Created attachment 1719995 [details]
Added logs and gif

Description of problem:
When trying to put the only host in a data center into maintenance and the host is a Power 9, the deactivation fails and the host become non responsive for some seconds.  

Version-Release number of selected component (if applicable):
RHV 4.4.3-7 engine (x86 Intel engine) (ovirt-engine 4.4.3.5-0.5.el8ev)
and host (vdsm.ppc64le 4.40.32-1.el8ev) both with RHEL 8.3 installed

How reproducible:
100%

Steps to Reproduce:
1. Create a 4.5 data center and a ppc64 architecture Power 9, 4.5 compatibility level cluster.
2. Add the Power 9 host and create a new NFS storage domain.
3. Activate the storage domain.
4. Put the NFS storage domain into maintenance. 

Actual results:
1. Created a 4.5 data center and a ppc64 architecture Power 9, 4.5 compatibility level cluster.
2. Added the Power 9 host and created a new NFS storage domain.
3. Activated the storage domain.
4. The NFS storage domain failed to deactivate, the Power 9 host became non responsive for 5 seconds and then got back up. 

Expected results:
Steps 1-3 are expected.
4. The NFS storage domain should deactivate and put into maintenance.
The host shouldn't become non-responsive never 

Additional info:

Comment 1 Tal Nisan 2020-10-12 14:08:22 UTC
Tamir, can you try and reproduce it with the same NFS storage but with a non PPC cluster?

Comment 3 Tamir 2020-10-14 11:05:01 UTC
I tested it using x86 cluster and couldn't produce the issue.
This is related only to PPC.

Comment 4 Tal Nisan 2020-10-27 08:58:58 UTC
Tamir, I see that you closed bug 1886424 and they both look to me like they stem from the same cause, most likely environmental issue with the NFS server, can you please try and retest again?

Comment 5 Tamir 2020-10-29 16:24:30 UTC
Hi Tal, I have reproduced it.

it's still happens with the same host, but different NFS server with the same steps I did previously.

Comment 6 Eyal Shenitzky 2021-08-29 09:06:18 UTC
This bug/RFE didn't get enough attention so far and is now flagged as pending close. 
Please review if it is still relevant and provide additional details/justification/patches
if you believe it should get more attention for the next oVirt release.

Comment 7 Michal Skrivanek 2021-09-29 11:33:06 UTC
This bug didn't get any attention in a long time, and it's not planned in foreseeable future. oVirt development team has no plans to work on it.
Please feel free to reopen if you have a plan how to contribute this feature/bug fix.


Note You need to log in before you can comment on or make changes to this bug.